### Method

# GLib Queue unlink

since: 2.4

#### Declaration

    void
    g_queue_unlink (
      GQueue* queue,
      GList* link_
    )

#### Description

Unlinks `link_` so that it will no longer be part of `queue`. The link is not freed.

`link_` must be part of `queue`.

Available since: 2.4

This method is not directly available to language bindings.

#### Parameters

`link_`

  Type: A list of `gpointer`

  A `GList` link that must be part of `queue`.

  The data is owned by the caller of the method.